Update network security configuration
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/security-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serverKey": {
"apiScopeEnabled": true,
"expiresInHours": 500.5
},
"adminToken": {
"expiresInHours": 500.5
}
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/security-configs"
payload = {
"serverKey": {
"apiScopeEnabled": True,
"expiresInHours": 500.5
},
"adminToken": { "expiresInHours": 500.5 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serverKey: {apiScopeEnabled: true, expiresInHours: 500.5},
adminToken: {expiresInHours: 500.5}
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/security-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"securityConfigs": {
"serverKey": {
"expiresInHours": 168,
"apiScopeEnabled": true
},
"adminToken": {
"expiresInHours": 24
}
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update network security configuration
Create or update security configuration for server key and admin token settings.
PUT
/
api
/
v3
/
network-settings
/
security-configs
Update network security configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Configuration for security settings
Response
Security configuration
Show child attributes
Show child attributes
⌘I